Package org.eclipse.graphiti.ui.internal.policy

## Class DefaultConnectionEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.ConnectionEditPolicy
    - - org.eclipse.graphiti.ui.internal.policy.DefaultConnectionEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

    public class DefaultConnectionEditPolicy
    extends org.eclipse.gef.editpolicies.ConnectionEditPolicy

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`DefaultConnectionEditPolicy​(IConfigurationProvider configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IMoveShapeContext` `createMoveShapeContext​(Shape shape, ContainerShape source, ContainerShape target, java.lang.Object constraint, Connection connection)`
`void` `eraseTargetFeedback​(org.eclipse.gef.Request request)`
`protected org.eclipse.gef.commands.Command` `getAddCommand​(org.eclipse.gef.requests.ChangeBoundsRequest request)`
`org.eclipse.gef.commands.Command` `getCommand​(org.eclipse.gef.Request request)`
`protected IConfigurationProvider` `getConfigurationProvider()`
`protected org.eclipse.gef.commands.Command` `getCreateCommand​(org.eclipse.gef.requests.CreateRequest request)`
`protected org.eclipse.gef.commands.Command` `getDeleteCommand​(org.eclipse.gef.requests.GroupRequest request)`
`org.eclipse.gef.EditPart` `getTargetEditPart​(org.eclipse.gef.Request request)`
`void` `showTargetFeedback​(org.eclipse.gef.Request request)`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultConnectionEditPolicy

    public DefaultConnectionEditPolicy​(IConfigurationProvider configurationProvider)

### Method Detail

#### getConfigurationProvider

    protected final IConfigurationProvider getConfigurationProvider()

#### getCommand

    public org.eclipse.gef.commands.Command getCommand​(org.eclipse.gef.Request request)

Specified by:
  `getCommand` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `getCommand` in class `org.eclipse.gef.editpolicies.ConnectionEditPolicy`

#### getAddCommand

    protected org.eclipse.gef.commands.Command getAddCommand​(org.eclipse.gef.requests.ChangeBoundsRequest request)

#### createMoveShapeContext

    protected IMoveShapeContext createMoveShapeContext​(Shape shape,
                                                       ContainerShape source,
                                                       ContainerShape target,
                                                       java.lang.Object constraint,
                                                       Connection connection)

#### getCreateCommand

    protected org.eclipse.gef.commands.Command getCreateCommand​(org.eclipse.gef.requests.CreateRequest request)

#### getTargetEditPart

    public org.eclipse.gef.EditPart getTargetEditPart​(org.eclipse.gef.Request request)

Specified by:
  `getTargetEditPart` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `getTargetEditPart` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`

#### getDeleteCommand

    protected org.eclipse.gef.commands.Command getDeleteCommand​(org.eclipse.gef.requests.GroupRequest request)

Specified by:
  `getDeleteCommand` in class `org.eclipse.gef.editpolicies.ConnectionEditPolicy`

#### showTargetFeedback

    public void showTargetFeedback​(org.eclipse.gef.Request request)

Specified by:
  `showTargetFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `showTargetFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `AbstractEditPolicy.showTargetFeedback(org.eclipse.gef.Request)`

#### eraseTargetFeedback

    public void eraseTargetFeedback​(org.eclipse.gef.Request request)

Specified by:
  `eraseTargetFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseTargetFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `AbstractEditPolicy.eraseTargetFeedback(org.eclipse.gef.Request)`